Name:           libexif
Summary:        Library for extracting extra information from image files
Version:        0.6.21
Release:        25
License:        LGPLv2+
URL:            https://libexif.github.io/
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

Patch0:         41bd04234b104312f54d25822f68738ba8d7133d.patch
Patch6000:      libexif-0.6.21_CVE-2017-7544.patch
Patch6001:      CVE-2018-20030.patch
Patch6003:      libexif-bugfix-division-0.patch
Patch6004:	libexif-bugfix-integer-overflow.patch
Patch6005: 	libexif-bugfix-unsigned-int.patch
Patch6006:	libexif-bugfix-overflow.patch
Patch6007:      libexif-bugfix-large-loop-in-exif_loader_get_data.patch
Patch6008:      backport-CVE-2020-13113.patch
Patch6009:      backport-CVE-2020-13114.patch
Patch9001:	libexif-bugfix-integer-overflow-pentax.patch
Patch6010:      backport-CVE-2020-13112.patch
Patch6011:      backport-CVE-2019-9278.patch
Patch6012:      backport-CVE-2020-0181_CVE-2020-0198.patch
Patch6013:      backport-CVE-2020-0093.patch
Patch6014:	backport-fuzz-stack-overflow.patch
Patch6015:	backport-fuzz-timeout-and-out-of-memory.patch

BuildRequires:  autoconf automake doxygen gettext-devel libtool pkgconfig git

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package        devel
Summary:        Files needed for libexif application development
Requires:       %{name}%{?_isa} = %{version}-%{release} pkgconfig

%description devel
The libexif-devel package contains the libraries and header files
for writing programs that use libexif.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -S git
%build
autoreconf -fiv
%configure
%make_build

%install
%make_install
%delete_la
cp -R doc/doxygen-output/libexif-api.html .
iconv -f latin1 -t utf-8 < COPYING > COPYING.utf8; cp COPYING.utf8 COPYING
iconv -f latin1 -t utf-8 < README > README.utf8; cp README.utf8 README
%find_lang libexif-12

%check
make check

%ldconfig_scriptlets

%files -f libexif-12.lang
%defattr(-,root,root)
%doc README
%license COPYING
%{_libdir}/libexif.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libexif
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%exclude %{_datadir}/doc/libexif

%files help
%defattr(-,root,root)
%doc libexif-api.html NEWS

%changelog
* Tue Oct 18 2022 wangkerong <wangkerong@h-partners.com> - 0.6.21-25
- fix fuzz test error

* Mon Oct 17 2022 wangkerong <wangkerong@h-partners.com> - 0.6.21-24
- fix CVE-2019-9278,CVE-2020-0181,CVE-2020-0198,CVE-2020-0093

* Tue Sep 28 2021 wangkerong <wangkerong@huawei.com> - 0.6.21-23
- Type:CVE
- Id:CVE-2020-13112
- SUG:NA
- DESC:fix CVE-2020-13112

* Mon Jul 26 2021 yangcheng <yangcheng87@huawei.com> - 0.6.21-22
- Type:CVE
- Id:CVE-2020-13113,CVE-2020-13114
- SUG:NA
- DESC:fix CVE-2020-13113 CVE-2020-13114

* Sat Aug 8 2020 yanan <yanan@huawei.com> - 0.6.21-21
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:handle large loop in func exif_loader_get_data

* Tue Mar 10 2020 songnannan <songnannan2@huawei.com> - 0.6.21-20
- bugfix in oss-fuzz

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.21-19
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.21-18
- Package init
